GET /v1/unfurl

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • url (string) required

Responses

200 OG metadata for the given URL

{
  "type": "object",
  "properties": {
    "url": {
      "type": "string"
    },
    "title": {
      "type": [
        "string",
        "null"
      ]
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "image": {
      "type": [
        "string",
        "null"
      ]
    },
    "siteName": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "url",
    "title",
    "description",
    "image",
    "siteName"
  ]
}

400 Invalid URL

422 Could not fetch or parse the URL

Example

curl -X GET https://content.platform.loop.health/v1/unfurl \
  -H "Authorization: Bearer $ACCESS_TOKEN"